SparrowDesk
ContactsId

Update a contact

PATCH
/contacts/{id}
AuthorizationBearer <token>

In: header

Path Parameters

idinteger
first_name?string
last_name?string
email?string
Formatemail
phone?string
company_id?integer
blocked?boolean
custom_fields?object

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://app.sparrowdesk.com/v1/contacts/0" \  -H "Content-Type: application/json" \  -d '{}'
{
  "data": {
    "id": 12345,
    "first_name": "John",
    "last_name": "Smith",
    "full_name": "John Smith",
    "email": "[email protected]",
    "phone": "+1987654321",
    "language": "en",
    "time_zone": "UTC",
    "country": "US",
    "region": "California",
    "city": "San Francisco",
    "active": true,
    "unsubscribed": false,
    "blocked": false,
    "avatar": null,
    "company_id": 456,
    "company_name": "apple",
    "custom_fields": {
      "company_size": "200+",
      "job_title": "Senior Software Engineer"
    },
    "properties": {
      "utm_term": "",
      "utm_medium": "landing",
      "utm_source": "test",
      "utm_content": "",
      "utm_campaign": "summer2025"
    },
    "created_at": 1672531200,
    "updated_at": 1672531200
  }
}
{
  "error": {
    "message": "Invalid request data"
  }
}
{
  "error": {
    "message": "Contact not found"
  }
}
{
  "error": {
    "message": "Email already exists"
  }
}
{
  "error": {
    "message": "Error updating contact"
  }
}